# readers.buffer

The readers.buffer stage is a special stage that allows you to read data from your own PointView rather than fetching the data from a specific reader. In the Writing with PDAL example, it is used to take a simple listing of points and turn them into an LAS file.

Default Embedded Stage

This stage is enabled by default

## Example

See Writing with PDAL for an example usage scenario for readers.buffer.

## Options

count

  Maximum number of points to read. [Default: unlimited]

override_srs

  Spatial reference to apply to the data. Overrides any SRS in the input itself. Can be specified as a WKT, proj.4 or EPSG string. Can’t use with ‘default_srs’ [Default: none]

default_srs

  Spatial reference to apply to the data if the input does not specify one. Can be specified as a WKT, proj.4 or EPSG string. Can’t use with ‘override_srs’ [Default: none]